Subject: ietf-nntp NEWNEWS functionality.

From: [email-masked] (Charles Lindsey)
Date: Fri, 5 Dec 1997 12:20:06 GMT

A problem I have found with using NEWNEWS is in respect of control
messages. If one of the groups I include as a NEWNEWS parameter is say
comp.foo.*, then I might expect to receive control messages which have
some comp.foo.* in the Newsgroups: line. For example, a newgroup for
comp.foo.newgroup. The standard is not clear on whether this is supposed
to happen or not.

What I find in practice (my upstream is running INN) is that I have to
include control.newgroup explicitly in my NEWNEWS command, which means
that I get to see control messages for all sorts of hierarchies that I do
not care about. Well, that hardly matters (there is not so much stuff in
control.newgroup anyway), but you can readily understand why I cannot
afford to ask for control.cancel (yet it would be nice to rerceive cancel
messages for the groups that I have asked for).

So please can the wording be clarified, one way of the other? Better
still, can be have a parameter or something which says whether or not
control messages for the listed groups should be sent.

-- 
Charles H. Lindsey ---------At Home, doing my own thing-------------------------
Email:     [email-masked]   Web:   http://www.cs.man.ac.uk/~chl
Voice/Fax: +44 161 437 4506       Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7  65 E8 64 7E 14 A4 AB A5